Bug 8569 - Paying for a lost item overwrites nonpublic notes
Summary: Paying for a lost item overwrites nonpublic notes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: D Ruth Bavousett
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-03 14:46 UTC by D Ruth Bavousett
Modified: 2013-12-05 19:59 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.27 KB, patch)
2012-08-03 14:55 UTC, D Ruth Bavousett
Details | Diff | Splinter Review
Bug 8569: Paying for lost item overwrites nonpublic notes. (1.33 KB, patch)
2012-08-03 15:27 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description D Ruth Bavousett 2012-08-03 14:46:52 UTC
C4::Circulation::ReturnLostItem, as currently implemented, overwrites items.paidfor for the designated item, but some libraries are using this field for nonpublic notes that they would like to keep.

Patch coming momentarily, which will *append* the paid-for note to the existing data.
Comment 1 D Ruth Bavousett 2012-08-03 14:55:57 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2012-08-03 15:27:50 UTC
Created attachment 11335 [details] [review]
Bug 8569: Paying for lost item overwrites nonpublic notes.

This patch modifies C4::Circulation::ReturnLostItem to append the Paid-for note
to existing data, rather than overwriting it.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Julian Maurice 2012-08-09 14:37:55 UTC
Looks like the status should be signed off
Comment 4 Jonathan Druart 2012-08-09 14:48:44 UTC
QA comments:

Simple patch.
We cannot translate the message put into the paidfor field but anyhow there is no easy way to do that.

Marked as Passed QA
Comment 5 Paul Poulain 2012-09-03 13:50:23 UTC
Patch pushed.
The use case is not very common, but I think it's more a bugfix than an ENH.
chris_c, your final decision for 3.8
Comment 6 Chris Cormack 2012-09-03 21:01:46 UTC
Pushed to 3.8.x will be in 3.8.5